Index: LMDZ6/trunk/libf/phylmd/iophy.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/iophy.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmd/iophy.F90	(revision 4619)
@@ -16,13 +16,7 @@
 !$OMP THREADPRIVATE(itau_iophy)
 
-#ifdef CPP_XIOS
   INTERFACE histwrite_phy
     MODULE PROCEDURE histwrite2d_phy,histwrite3d_phy,histwrite2d_phy_old,histwrite3d_phy_old,histwrite2d_xios,histwrite3d_xios,histwrite0d_xios
   END INTERFACE
-#else
-  INTERFACE histwrite_phy
-    MODULE PROCEDURE histwrite2d_phy,histwrite3d_phy,histwrite2d_phy_old,histwrite3d_phy_old
-  END INTERFACE
-#endif
 
   INTERFACE histbeg_phy_all
@@ -52,7 +46,5 @@
     USE ioipsl, ONLY: flio_dom_set
 #endif
-#ifdef CPP_XIOS
-  use wxios, ONLY: wxios_domain_param, wxios_domain_param_unstructured, wxios_context_init
-#endif
+  use wxios, ONLY: wxios_domain_param, wxios_domain_param_unstructured, wxios_context_init, using_xios
     IMPLICIT NONE
     REAL,DIMENSION(klon),INTENT(IN) :: rlon
@@ -72,14 +64,10 @@
     INTEGER :: data_ibegin, data_iend
 
-#ifdef CPP_XIOS
-      CALL wxios_context_init
-#endif
+    if (using_xios)  CALL wxios_context_init
     
 
     IF (grid_type==unstructured) THEN
     
-#ifdef CPP_XIOS
       CALL wxios_domain_param_unstructured("dom_glo")
-#endif
 
     ELSE
@@ -140,5 +128,5 @@
                       'APPLE',phys_domain_id)
 #endif
-#ifdef CPP_XIOS
+    IF (using_xios) THEN  
       ! Set values for the mask:
       IF (mpi_rank == 0) THEN
@@ -163,10 +151,8 @@
 
       ! Initialize the XIOS domain coreesponding to this process:
-#endif
+    ENDIF
 !$OMP END MASTER
 
-#ifdef CPP_XIOS    
-        CALL wxios_domain_param("dom_glo")
-#endif
+      IF (using_xios) CALL wxios_domain_param("dom_glo")
       
     ENDIF
@@ -227,7 +213,5 @@
   USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
   USE ioipsl, ONLY: histbeg
-#ifdef CPP_XIOS
-  USE wxios, ONLY: wxios_add_file
-#endif
+  USE wxios, ONLY: wxios_add_file, using_xios
   IMPLICIT NONE
   INCLUDE 'clesphys.h'
@@ -251,13 +235,13 @@
   ENDIF
 
-#ifdef CPP_XIOS
-  ! ug OMP en chantier...
-  IF((.NOT. is_using_mpi) .OR. is_mpi_root) THEN
-      ! ug Création du fichier
-    IF (.not. ok_all_xml) THEN
-      CALL wxios_add_file(name, ffreq, lev)
+  IF (using_xios) THEN  
+    ! ug OMP en chantier...
+    IF((.NOT. is_using_mpi) .OR. is_mpi_root) THEN
+        ! ug Création du fichier
+      IF (.not. ok_all_xml) THEN
+        CALL wxios_add_file(name, ffreq, lev)
+      ENDIF
     ENDIF
   ENDIF
-#endif
 !$OMP END MASTER
   
@@ -608,7 +592,5 @@
     USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
     USE aero_mod, ONLY : naero_tot, name_aero_tau
-#ifdef CPP_XIOS
-    USE wxios, ONLY: wxios_add_field_to_file
-#endif
+    USE wxios, ONLY: wxios_add_field_to_file, using_xios
     USE print_control_mod, ONLY: prt_level,lunout
     IMPLICIT NONE
@@ -650,16 +632,16 @@
     IF(.NOT.clef_stations(iff)) THEN  
 
-#ifdef CPP_XIOS
-      IF (.not. ok_all_xml) THEN
-        IF ( var%flag(iff)<=lev_files(iff) ) THEN
-          CALL wxios_add_field_to_file(var%name, 2, iff, phys_out_filenames(iff), &
-          var%description, var%unit, var%flag(iff), typeecrit)
-          IF (prt_level >= 10) THEN
-            WRITE(lunout,*) 'histdef2d: call wxios_add_field_to_file var%name iff: ', &
-                            trim(var%name),iff
+      IF (using_xios) THEN  
+        IF (.not. ok_all_xml) THEN
+          IF ( var%flag(iff)<=lev_files(iff) ) THEN
+            CALL wxios_add_field_to_file(var%name, 2, iff, phys_out_filenames(iff), &
+            var%description, var%unit, var%flag(iff), typeecrit)
+            IF (prt_level >= 10) THEN
+              WRITE(lunout,*) 'histdef2d: call wxios_add_field_to_file var%name iff: ', &
+                              trim(var%name),iff
+            ENDIF
           ENDIF
         ENDIF
       ENDIF
-#endif
 #ifndef CPP_IOIPSL_NO_OUTPUT 
 
@@ -725,7 +707,5 @@
     USE print_control_mod, ONLY: prt_level,lunout
     USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
-#ifdef CPP_XIOS
-    USE wxios, ONLY: wxios_add_field_to_file
-#endif
+    USE wxios, ONLY: wxios_add_field_to_file, using_xios
     USE print_control_mod, ONLY: prt_level,lunout
     IMPLICIT NONE
@@ -766,16 +746,17 @@
     IF(.NOT.clef_stations(iff)) THEN
 
-#ifdef CPP_XIOS
-       IF (.not. ok_all_xml) THEN
-         IF ( var%flag(iff)<=lev_files(iff) ) THEN
-         CALL wxios_add_field_to_file(var%name, 3, iff, phys_out_filenames(iff), &
-         var%description, var%unit, var%flag(iff), typeecrit)
-           IF (prt_level >= 10) THEN
-             WRITE(lunout,*) 'histdef3d: call wxios_add_field_to_file var%name iff: ', &
-                             trim(var%name),iff
-           ENDIF
-         ENDIF
-       ENDIF
-#endif
+      IF (using_xios) THEN  
+
+        IF (.not. ok_all_xml) THEN
+          IF ( var%flag(iff)<=lev_files(iff) ) THEN
+          CALL wxios_add_field_to_file(var%name, 3, iff, phys_out_filenames(iff), &
+          var%description, var%unit, var%flag(iff), typeecrit)
+            IF (prt_level >= 10) THEN
+              WRITE(lunout,*) 'histdef3d: call wxios_add_field_to_file var%name iff: ', &
+                              trim(var%name),iff
+            ENDIF
+          ENDIF
+        ENDIF
+      ENDIF
 #ifndef CPP_IOIPSL_NO_OUTPUT 
 
@@ -974,7 +955,5 @@
   USE print_control_mod, ONLY: prt_level,lunout
   USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat, grid_type, unstructured, regular_lonlat
-#ifdef CPP_XIOS
-  USE xios, ONLY: xios_send_field, xios_field_is_active
-#endif
+  USE lmdz_xios, ONLY: xios_send_field, xios_field_is_active, using_xios
   USE print_control_mod, ONLY: lunout, prt_level
 
@@ -1036,14 +1015,14 @@
 
   ELSE
-#ifdef CPP_XIOS
-    IF (ok_all_xml) THEN
-      !$omp barrier
-      !$omp master
-      is_active = xios_field_is_active(var%name, at_current_timestep_arg=.false.)
-      !$omp end master
-      !$omp barrier
-      IF(.not. is_active) RETURN
-    ENDIF
-#endif
+    IF (using_xios) THEN
+      IF (ok_all_xml) THEN
+        !$omp barrier
+        !$omp master
+        is_active = xios_field_is_active(var%name, at_current_timestep_arg=.false.)
+        !$omp end master
+        !$omp barrier
+        IF(.not. is_active) RETURN
+      ENDIF
+    ENDIF
 
     !Et sinon on.... écrit
@@ -1068,5 +1047,5 @@
 
       IF (ok_all_xml) THEN
-#ifdef CPP_XIOS
+        IF (using_xios) THEN  
           IF (prt_level >= 10) THEN
              write(lunout,*)'Dans iophy histwrite2D,var%name ', trim(var%name)                       
@@ -1091,35 +1070,35 @@
                              trim(var%name)                       
           ENDIF
-#else
-        CALL abort_physic ('iophy','cannot have ok_all_xml = .T. without CPP_XIOS defined' ,1)
-#endif
+        ELSE
+          CALL abort_physic ('iophy','cannot have ok_all_xml = .T. without CPP_XIOS defined' ,1)
+        ENDIF
       ELSE  
         DO iff=iff_beg, iff_end
             IF (var%flag(iff) <= lev_files(iff) .AND. clef_files(iff)) THEN 
 
-#ifdef CPP_XIOS
-               IF (firstx) THEN
-                  IF (prt_level >= 10) THEN
-                     write(lunout,*)'Dans iophy histwrite2D,iff,var%name ',&
-                                    iff,trim(var%name)                       
-                     write(lunout,*)"histwrite2d_phy:.NOT.clef_stations(iff)and iff==iff_beg, call xios_send_field"
-                  ENDIF
-                  IF (grid_type==regular_lonlat) THEN
-                    IF (SIZE(field) == klon) then
-                       CALL xios_send_field(var%name, Field2d)
-                    ELSE
+              IF (using_xios) THEN
+                IF (firstx) THEN
+                   IF (prt_level >= 10) THEN
+                      write(lunout,*)'Dans iophy histwrite2D,iff,var%name ',&
+                                     iff,trim(var%name)                       
+                      write(lunout,*)"histwrite2d_phy:.NOT.clef_stations(iff)and iff==iff_beg, call xios_send_field"
+                   ENDIF
+                   IF (grid_type==regular_lonlat) THEN
+                     IF (SIZE(field) == klon) then
+                        CALL xios_send_field(var%name, Field2d)
+                     ELSE
+                        CALL xios_send_field(var%name, field)
+                     ENDIF
+                   ELSE IF (grid_type==unstructured) THEN
+                     IF (SIZE(field) == klon) then
+                       CALL xios_send_field(var%name, buffer_omp)
+                     ELSE
                        CALL xios_send_field(var%name, field)
-                    ENDIF
-                  ELSE IF (grid_type==unstructured) THEN
-                    IF (SIZE(field) == klon) then
-                      CALL xios_send_field(var%name, buffer_omp)
-                    ELSE
-                      CALL xios_send_field(var%name, field)
-                    ENDIF
-                  ENDIF
-
-                  firstx=.false.
-               ENDIF
-#endif
+                     ENDIF
+                   ENDIF
+
+                   firstx=.false.
+                ENDIF
+              ENDIF
 
                   IF (.NOT.clef_stations(iff)) THEN
@@ -1129,5 +1108,5 @@
                         CALL histwrite(nid_files(iff),var%name,itau_iophy,Field2d,nbp_lon*jj_nb,index2d)
 #endif
-!#ifdef CPP_XIOS
+!    IF (using_xios) THEN  
 !                        IF (iff == iff_beg) THEN
 !                          IF (prt_level >= 10) THEN
@@ -1136,5 +1115,5 @@
 !                          CALL xios_send_field(var%name, Field2d)
 !                        ENDIF
-!#endif
+!    ENDIF
                   ELSE 
                         ALLOCATE(fieldok(npstn))
@@ -1188,7 +1167,5 @@
                                  nid_files, swaerofree_diag
   USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat, grid_type, regular_lonlat, unstructured
-#ifdef CPP_XIOS
-  USE xios, ONLY: xios_send_field, xios_field_is_active
-#endif
+  USE lmdz_xios, ONLY: xios_send_field, xios_field_is_active, using_xios
   USE print_control_mod, ONLY: prt_level,lunout
 
@@ -1236,14 +1213,14 @@
       CALL bcast_omp(swaerofree_diag)
   ELSE
-#ifdef CPP_XIOS
-    IF (ok_all_xml) THEN
-      !$omp barrier
-      !$omp master
-      is_active = xios_field_is_active(var%name, at_current_timestep_arg=.false.)
-      !$omp end master
-      !$omp barrier
-      IF(.not. is_active) RETURN
-    ENDIF
-#endif
+    IF (using_xios) THEN  
+      IF (ok_all_xml) THEN
+        !$omp barrier
+        !$omp master
+        is_active = xios_field_is_active(var%name, at_current_timestep_arg=.false.)
+        !$omp end master
+        !$omp barrier
+        IF(.not. is_active) RETURN
+      ENDIF
+    ENDIF
 
     !Et sinon on.... écrit
@@ -1273,5 +1250,5 @@
 
     IF (ok_all_xml) THEN
-#ifdef CPP_XIOS
+      IF (using_xios) THEN  
           IF (prt_level >= 10) THEN
              write(lunout,*)'Dans iophy histwrite3D,var%name ',&
@@ -1292,12 +1269,12 @@
         ENDIF
 
-#else
+      ELSE
         CALL abort_physic ('iophy','cannot have ok_all_xml = .T. without CPP_XIOS defined' ,1)
-#endif
+      ENDIF
     ELSE  
 
       DO iff=iff_beg, iff_end
           IF (var%flag(iff) <= lev_files(iff) .AND. clef_files(iff)) THEN
-#ifdef CPP_XIOS
+            IF (using_xios) THEN  
               IF (firstx) THEN
                 IF (prt_level >= 10) THEN
@@ -1324,8 +1301,9 @@
                 firstx=.false.
               ENDIF
-#endif
-              IF (.NOT.clef_stations(iff)) THEN
-                        ALLOCATE(index3d(nbp_lon*jj_nb*nlev))
-                        ALLOCATE(fieldok(nbp_lon*jj_nb,nlev))
+            ENDIF
+            
+            IF (.NOT.clef_stations(iff)) THEN
+                      ALLOCATE(index3d(nbp_lon*jj_nb*nlev))
+                      ALLOCATE(fieldok(nbp_lon*jj_nb,nlev))
 
 #ifndef CPP_IOIPSL_NO_OUTPUT 
@@ -1333,9 +1311,9 @@
 #endif
 
-!#ifdef CPP_XIOS
+!    IF (using_xios) THEN  
 !                        IF (iff == 1) THEN
 !                              CALL xios_send_field(var%name, Field3d(:,:,1:klev))
 !                        ENDIF
-!#endif
+!    ENDIF
 !                        
               ELSE 
@@ -1378,5 +1356,4 @@
 
 ! VERSION DES HISTWRITE DEDIEES AU TOUT-XIOS-XML DEJA UTILISEE DANS PHYDEV
-#ifdef CPP_XIOS
   SUBROUTINE histwrite2d_xios(field_name,field)
 
@@ -1386,5 +1363,5 @@
                                 jj_nb, klon_mpi, is_master
   USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat, grid_type, unstructured
-  USE xios, ONLY: xios_send_field
+  USE lmdz_xios, ONLY: xios_send_field
   USE print_control_mod, ONLY: prt_level,lunout
 
@@ -1468,5 +1445,5 @@
                                 is_sequential, klon_mpi_begin, klon_mpi_end, &
                                 jj_nb, klon_mpi, is_master
-  USE xios, ONLY: xios_send_field
+  USE lmdz_xios, ONLY: xios_send_field
   USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat, grid_type, unstructured
   USE print_control_mod, ONLY: prt_level,lunout
@@ -1551,7 +1528,6 @@
   END SUBROUTINE histwrite3d_xios
 
-#ifdef CPP_XIOS
   SUBROUTINE histwrite0d_xios(field_name, field)
-  USE xios, ONLY: xios_send_field
+  USE lmdz_xios, ONLY: xios_send_field
   USE mod_phys_lmdz_para, ONLY: is_master
   USE print_control_mod, ONLY: prt_level,lunout
@@ -1568,6 +1544,4 @@
 
   END SUBROUTINE histwrite0d_xios
-#endif
-
-#endif
+
 END MODULE iophy
Index: LMDZ6/trunk/libf/phylmd/limit_read_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/limit_read_mod.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmd/limit_read_mod.F90	(revision 4619)
@@ -36,7 +36,6 @@
   USE surface_data
   USE mod_phys_lmdz_para
-#ifdef CPP_XIOS
-  USE XIOS
-#endif
+  USE lmdz_xios
+
   IMPLICIT NONE
     INTEGER, INTENT(IN) :: first_day
@@ -45,7 +44,5 @@
     IF ( type_ocean /= 'couple') THEN
       IF (grid_type==unstructured) THEN
-#ifdef CPP_XIOS
         IF (is_omp_master) CALL xios_set_file_attr("limit_read",enabled=.TRUE.,record_offset=first_day)
-#endif
       ENDIF  
     ENDIF
@@ -172,7 +169,5 @@
     USE phys_cal_mod, ONLY : calend, year_len
     USE print_control_mod, ONLY: lunout, prt_level
-#ifdef CPP_XIOS
-    USE XIOS, ONLY: xios_recv_field
-#endif
+    USE lmdz_xios, ONLY: xios_recv_field, using_xios
     
     IMPLICIT NONE
@@ -297,5 +292,4 @@
       IF (grid_type==unstructured) THEN
 
-#ifdef CPP_XIOS
         IF ( type_ocean /= 'couple') THEN
 
@@ -331,6 +325,4 @@
           CALL Scatter_omp(rug_mpi, rugos)
        END IF
-#endif
-
  
      ELSE      ! grid_type==regular
Index: LMDZ6/trunk/libf/phylmd/moy_undefSTD.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/moy_undefSTD.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmd/moy_undefSTD.F90	(revision 4619)
@@ -8,14 +8,10 @@
   USE phys_state_var_mod
 #endif
-#ifdef CPP_XIOS
-  USE wxios, ONLY: missing_val
-#endif
+  USE wxios, ONLY: missing_val_xios => missing_val, using_xios
  
   USE phys_cal_mod, ONLY: mth_len
   IMPLICIT NONE
   include "clesphys.h"
-#ifndef CPP_XIOS 
   REAL :: missing_val
-#endif
 
   ! ====================================================================
@@ -59,7 +55,9 @@
 
 ! missing_val = nf90_fill_real
-#ifndef CPP_XIOS
-      missing_val=missing_val_nf90
-#endif
+  IF (using_xios) THEN
+    missing_val = missing_val_xios
+  ELSE
+    missing_val=missing_val_nf90
+  ENDIF
 
   DO n = 1, nout
Index: LMDZ6/trunk/libf/phylmd/oasis.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/oasis.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmd/oasis.F90	(revision 4619)
@@ -117,8 +117,6 @@
     USE surface_data, ONLY : version_ocean
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl
-#ifdef CPP_XIOS
     USE wxios, ONLY : wxios_context_init 
-    USE xios  
-#endif
+    USE lmdz_xios  
     USE print_control_mod, ONLY: lunout
     USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, grid_type, unstructured, regular_lonlat
@@ -393,7 +391,7 @@
 ! End definition
 !************************************************************************************
-#ifdef CPP_XIOS
-    CALL xios_oasis_enddef()
-#endif
+
+    IF (using_xios) CALL xios_oasis_enddef()
+
     CALL prism_enddef_proto(ierror)
     IF (ierror .NE. PRISM_Ok) THEN
@@ -404,9 +402,5 @@
     ENDIF
 
-#ifdef CPP_XIOS
-!    CALL wxios_context_init()
-#endif
-
-!$OMP END MASTER
+S!$OMP END MASTER
     
   END SUBROUTINE inicma
Index: LMDZ6/trunk/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/pbl_surface_mod.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmd/pbl_surface_mod.F90	(revision 4619)
@@ -319,9 +319,6 @@
     use phys_output_var_mod, only: tkt, tks, taur, sss
     use blowing_snow_ini_mod, only : zeta_bs
-#ifdef CPP_XIOS
-    USE wxios, ONLY: missing_val
-#else
-    use netcdf, only: missing_val => nf90_fill_real
-#endif
+    USE wxios, ONLY: missing_val_xios => missing_val, using_xios
+    USE netcdf, only: missing_val_netcdf => nf90_fill_real
 
      
@@ -899,8 +896,13 @@
     ! compression of delta_sst, delta_sal, ds_ns, dt_ns, dter, dser,
     ! dt_ds, tkt, tks, taur, sss on ocean points
-
+    REAL :: missing_val
 !****************************************************************************************
 ! End of declarations
 !****************************************************************************************
+      IF (using_xios) THEN
+        missing_val=missing_val_xios
+      ELSE
+        missing_val=missing_val_netcdf
+      ENDIF
 
       IF (prt_level >=10) print *,' -> pbl_surface, itap ',itap
Index: LMDZ6/trunk/libf/phylmd/phyaqua_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phyaqua_mod.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmd/phyaqua_mod.F90	(revision 4619)
@@ -514,7 +514,5 @@
     USE mod_phys_lmdz_para, ONLY: is_omp_master, klon_mpi
     USE mod_phys_lmdz_transfert_para, ONLY: gather_omp
-#ifdef CPP_XIOS
-    USE xios
-#endif
+    USE lmdz_xios
     IMPLICIT NONE
 
@@ -536,31 +534,31 @@
       ! on the whole physics grid
  
-#ifdef CPP_XIOS
-    PRINT *, 'writelim: Ecriture du fichier limit'
-
-    CALL gather_omp(phy_foce, phy_mpi)
-    IF (is_omp_master) CALL xios_send_field('foce_limout',phy_mpi)
-
-    CALL gather_omp(phy_fsic, phy_mpi)
-    IF (is_omp_master) CALL xios_send_field('fsic_limout',phy_mpi)
+    IF (using_xios) THEN
+      PRINT *, 'writelim: Ecriture du fichier limit'
+
+      CALL gather_omp(phy_foce, phy_mpi)
+      IF (is_omp_master) CALL xios_send_field('foce_limout',phy_mpi)
+
+      CALL gather_omp(phy_fsic, phy_mpi)
+      IF (is_omp_master) CALL xios_send_field('fsic_limout',phy_mpi)
       
-    CALL gather_omp(phy_fter, phy_mpi)
-    IF (is_omp_master) CALL xios_send_field('fter_limout',phy_mpi)
+      CALL gather_omp(phy_fter, phy_mpi)
+      IF (is_omp_master) CALL xios_send_field('fter_limout',phy_mpi)
       
-    CALL gather_omp(phy_flic, phy_mpi)
-    IF (is_omp_master) CALL xios_send_field('flic_limout',phy_mpi)
-
-    CALL gather_omp(phy_sst, phy_mpi)
-    IF (is_omp_master) CALL xios_send_field('sst_limout',phy_mpi)
-
-    CALL gather_omp(phy_bil, phy_mpi)
-    IF (is_omp_master) CALL xios_send_field('bils_limout',phy_mpi)
-
-    CALL gather_omp(phy_alb, phy_mpi)
-    IF (is_omp_master) CALL xios_send_field('alb_limout',phy_mpi)
-
-    CALL gather_omp(phy_rug, phy_mpi)
-    IF (is_omp_master) CALL xios_send_field('rug_limout',phy_mpi)
-#endif
+      CALL gather_omp(phy_flic, phy_mpi)
+      IF (is_omp_master) CALL xios_send_field('flic_limout',phy_mpi)
+
+      CALL gather_omp(phy_sst, phy_mpi)
+      IF (is_omp_master) CALL xios_send_field('sst_limout',phy_mpi)
+
+      CALL gather_omp(phy_bil, phy_mpi)
+      IF (is_omp_master) CALL xios_send_field('bils_limout',phy_mpi)
+
+      CALL gather_omp(phy_alb, phy_mpi)
+      IF (is_omp_master) CALL xios_send_field('alb_limout',phy_mpi)
+
+      CALL gather_omp(phy_rug, phy_mpi)
+      IF (is_omp_master) CALL xios_send_field('rug_limout',phy_mpi)
+    ENDIF
   END SUBROUTINE writelim_unstruct
 
Index: LMDZ6/trunk/libf/phylmd/phyetat0_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phyetat0_mod.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmd/phyetat0_mod.F90	(revision 4619)
@@ -39,9 +39,6 @@
   USE ocean_slab_mod,   ONLY: nslay, tslab, seaice, tice, ocean_slab_init
   USE time_phylmdz_mod, ONLY: init_iteration, pdtphys, itau_phy
-#ifdef CPP_XIOS
-  USE wxios, ONLY: missing_val
-#else
-  use netcdf, only: missing_val => nf90_fill_real
-#endif
+  USE wxios, ONLY: missing_val_xios => missing_val, using_xios
+  use netcdf, only: missing_val_netcdf => nf90_fill_real
   use config_ocean_skin_m, only: activate_ocean_skin
 
@@ -92,5 +89,12 @@
   REAL :: lon_startphy(klon), lat_startphy(klon)
   CHARACTER(LEN=maxlen) :: tname, t(2)
-
+  REAL :: missing_val
+
+  IF (using_xios) THEN
+    missing_val=missing_val_xios
+  ELSE
+    missing_val=missing_val_netcdf
+  ENDIF
+  
   ! FH1D
   !     real iolat(jjm+1)
Index: LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 4619)
@@ -2065,5 +2065,5 @@
 
 #ifdef CPP_Dust
-      INCLUDE "Dust/spla_output_dat.h"
+      INCLUDE 'spla_output_dat.h'
 #endif
 
Index: LMDZ6/trunk/libf/phylmd/phys_output_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phys_output_mod.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmd/phys_output_mod.F90	(revision 4619)
@@ -47,8 +47,6 @@
     USE vertical_layers_mod, ONLY: ap,bp,preff,presnivs, aps, bps, pseudoalt, presinter
     USE time_phylmdz_mod, ONLY: day_ini, itau_phy, start_time, annee_ref, day_ref
-#ifdef CPP_XIOS
     ! ug Pour les sorties XIOS
     USE wxios
-#endif
 
     IMPLICIT NONE
@@ -129,5 +127,4 @@
     REAL, DIMENSION(klev+1)   :: lev_index
                 
-#ifdef CPP_XIOS
     ! ug Variables utilis\'ees pour r\'ecup\'erer le calendrier pour xios
     INTEGER :: x_an, x_mois, x_jour
@@ -135,5 +132,5 @@
     INTEGER :: ini_an, ini_mois, ini_jour
     REAL :: ini_heure
-#endif
+
     INTEGER                         :: ISW
     REAL, DIMENSION(NSW)            :: wl1_sun, wl2_sun !wavelength bounds (in um) for SW
@@ -290,12 +287,12 @@
      ENDIF
 
-#ifdef CPP_XIOS
-    ! ug R\'eglage du calendrier xios
-    !Temps julian => an, mois, jour, heure
-    CALL ju2ymds(zjulian, x_an, x_mois, x_jour, x_heure)
-    CALL ju2ymds(zjulian_start, ini_an, ini_mois, ini_jour, ini_heure)
-    CALL wxios_set_cal(dtime, calend, x_an, x_mois, x_jour, x_heure, ini_an, &
-                       ini_mois, ini_jour, ini_heure )
-#endif
+    IF (using_xios) THEN
+      ! ug R\'eglage du calendrier xios
+      !Temps julian => an, mois, jour, heure
+      CALL ju2ymds(zjulian, x_an, x_mois, x_jour, x_heure)
+      CALL ju2ymds(zjulian_start, ini_an, ini_mois, ini_jour, ini_heure)
+      CALL wxios_set_cal(dtime, calend, x_an, x_mois, x_jour, x_heure, ini_an, &
+                         ini_mois, ini_jour, ini_heure )
+    ENDIF
 
 !!!!!!!!!!!!!!!!!!!!!!! Boucle sur les fichiers !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -330,64 +327,64 @@
 
 
-#ifdef CPP_XIOS
-!!! Ouverture de chaque fichier XIOS !!!!!!!!!!!
-    IF (.not. ok_all_xml) THEN
+    IF (using_xios) THEN 
+      !!! Ouverture de chaque fichier XIOS !!!!!!!!!!!
+      IF (.not. ok_all_xml) THEN
+        IF (prt_level >= 10) THEN
+         print*,'phys_output_open: call wxios_add_file with phys_out_filenames(iff)=',trim(phys_out_filenames(iff))    
+        ENDIF
+        CALL wxios_add_file(phys_out_filenames(iff),chtimestep(iff),lev_files(iff))  
+      ENDIF
+
+      !!! Declaration des axes verticaux de chaque fichier:
       IF (prt_level >= 10) THEN
-        print*,'phys_output_open: call wxios_add_file with phys_out_filenames(iff)=',trim(phys_out_filenames(iff))    
+        print*,'phys_output_open: Declare vertical axes for each file'
       ENDIF
-      CALL wxios_add_file(phys_out_filenames(iff),chtimestep(iff),lev_files(iff))  
-    ENDIF
-
-!!! Declaration des axes verticaux de chaque fichier:
-    IF (prt_level >= 10) THEN
-      print*,'phys_output_open: Declare vertical axes for each file'
-    ENDIF
-
-   IF (iff.LE.6.OR.iff.EQ.10) THEN
-    CALL wxios_add_vaxis("presnivs", &
-            levmax(iff) - levmin(iff) + 1, presnivs(levmin(iff):levmax(iff)))
-    CALL wxios_add_vaxis("presinter", &
-            klev + 1, presinter(1:klev+1))
-    CALL wxios_add_vaxis("Ahyb", &
-            levmax(iff) - levmin(iff) + 1, aps(levmin(iff):levmax(iff)), positif='down', &
-            bnds=Ahyb_bounds(levmin(iff):levmax(iff),:))
-    CALL wxios_add_vaxis("Bhyb", &
-            levmax(iff) - levmin(iff) + 1, bps(levmin(iff):levmax(iff)), positif='down', &
-            bnds=Bhyb_bounds(levmin(iff):levmax(iff),:))
-    CALL wxios_add_vaxis("klev", levmax(iff) - levmin(iff) + 1, &
-                          lev_index(levmin(iff):levmax(iff)))
-    CALL wxios_add_vaxis("klevp1", klev+1, &
-                          lev_index(1:klev+1))
-    CALL wxios_add_vaxis("bnds", 2, (/1.,2./))
-
-    CALL wxios_add_vaxis("Alt", &
-            levmax(iff) - levmin(iff) + 1, pseudoalt)
-
-    ! wl1_sun/wl2_sun: minimum/maximum bound of wavelength (in um)
-    SELECT CASE(NSW)
-      CASE(6)
-        wl1_sun(1:6) = [0.180, 0.250, 0.440, 0.690, 1.190, 2.380]
-        wl2_sun(1:6) = [0.250, 0.440, 0.690, 1.190, 2.380, 4.000]
-      CASE(2)
-        wl1_sun(1:2) = [0.250, 0.690]
-        wl2_sun(1:2) = [0.690, 4.000]
-    END SELECT
-
-    DO ISW=1, NSW
-     wn1_sun(ISW)=1.e+6/wl1_sun(ISW) 
-     wn2_sun(ISW)=1.e+6/wl2_sun(ISW) 
-     spbnds_sun(ISW,1)=wn2_sun(ISW)
-     spbnds_sun(ISW,2)=wn1_sun(ISW)
-     spectband(ISW)=(wn1_sun(ISW)+wn2_sun(ISW))/2
-    ENDDO
+
+      IF (iff.LE.6.OR.iff.EQ.10) THEN
+        CALL wxios_add_vaxis("presnivs", &
+              levmax(iff) - levmin(iff) + 1, presnivs(levmin(iff):levmax(iff)))
+        CALL wxios_add_vaxis("presinter", &
+              klev + 1, presinter(1:klev+1))
+        CALL wxios_add_vaxis("Ahyb", &
+              levmax(iff) - levmin(iff) + 1, aps(levmin(iff):levmax(iff)), positif='down', &
+              bnds=Ahyb_bounds(levmin(iff):levmax(iff),:))
+        CALL wxios_add_vaxis("Bhyb", &
+              levmax(iff) - levmin(iff) + 1, bps(levmin(iff):levmax(iff)), positif='down', &
+              bnds=Bhyb_bounds(levmin(iff):levmax(iff),:))
+        CALL wxios_add_vaxis("klev", levmax(iff) - levmin(iff) + 1, &
+                              lev_index(levmin(iff):levmax(iff)))
+        CALL wxios_add_vaxis("klevp1", klev+1, &
+                              lev_index(1:klev+1))
+        CALL wxios_add_vaxis("bnds", 2, (/1.,2./))
+  
+        CALL wxios_add_vaxis("Alt", &
+                levmax(iff) - levmin(iff) + 1, pseudoalt)
+
+        ! wl1_sun/wl2_sun: minimum/maximum bound of wavelength (in um)
+        SELECT CASE(NSW)
+          CASE(6)
+            wl1_sun(1:6) = [0.180, 0.250, 0.440, 0.690, 1.190, 2.380]
+            wl2_sun(1:6) = [0.250, 0.440, 0.690, 1.190, 2.380, 4.000]
+          CASE(2)
+            wl1_sun(1:2) = [0.250, 0.690]
+            wl2_sun(1:2) = [0.690, 4.000]
+        END SELECT
+
+        DO ISW=1, NSW
+          wn1_sun(ISW)=1.e+6/wl1_sun(ISW) 
+          wn2_sun(ISW)=1.e+6/wl2_sun(ISW) 
+          spbnds_sun(ISW,1)=wn2_sun(ISW)
+          spbnds_sun(ISW,2)=wn1_sun(ISW)
+          spectband(ISW)=(wn1_sun(ISW)+wn2_sun(ISW))/2
+        ENDDO
 !
 !!! ajout axe vertical spectband : solar band number
-    CALL wxios_add_vaxis("spectband", NSW, spectband, positif='down')
-   ELSE
-    ! NMC files
-    CALL wxios_add_vaxis("plev", &
-            levmax(iff) - levmin(iff) + 1, rlevSTD(levmin(iff):levmax(iff)))
-   ENDIF
-#endif 
+        CALL wxios_add_vaxis("spectband", NSW, spectband, positif='down')
+      ELSE
+        ! NMC files
+        CALL wxios_add_vaxis("plev", &
+                levmax(iff) - levmin(iff) + 1, rlevSTD(levmin(iff):levmax(iff)))
+      ENDIF
+    ENDIF !using_xios 
 
         IF (clef_files(iff)) THEN
